Skip to main content
Storage Services/Storage Services
GETStorage ServicesSince 4.10.6SynchronousAuth Required

Query ZCE-X

Query ZCE-X

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    Whether the query was successful

  • inventoriesListRequired

    For details, see inventories

    • uuidStringRequired

      Resource UUID, uniquely identifies the resource

    • nameStringRequired

      Resource name

    • managementIpStringRequired

      IP address for accessing ZCE-X

    • apiPortintRequired

      API port for accessing ZCE-X

    • createDateTimestampRequired

      Creation time

    • lastOpDateTimestampRequired

      Last modification time

  • errorErrorCodeRequired

    Error code. If not null, the operation failed. If null, the operation succeeded. For details, see error

    • codeStringRequired

      Error code number, globally unique identifier of the error, for example SYS.1000, HOST.1001

    • descriptionStringRequired

      Brief summary of the error

    • detailsStringRequired

      Detailed error information

    • elaborationStringRequired

      Reserved field, defaults to null

    • opaqueLinkedHashMapRequired

      Reserved field, defaults to null

    • causeErrorCodeRequired

      Root cause: the source error that triggered the current error. If there is no original error, this field is null

Endpoint

GET/zstack/v1/zce-x-plugin

/zstack/v1/zce-x-plugin

Operation ID

QueryZceX

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/zce-x-plugin' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "77e1393bf5aa4536a018b4c0c4e29c72", "name": "zce-x-plugin", "managementIp": "127.0.0.1", "apiPort": 8056, "createDate": "Nov 14, 2017 2:20:57 PM", "lastOpDate": "Nov 14, 2017 2:20:57 PM" } ] }

Change History

This API has no change history records yet.

View all change history